## sogo 4.3.2

=== debian/changelog ===
sogo (4.3.2-0bit2) unstable; urgency=medium

  * Applied patch improve EAS parameters parsing from upstream (fixes #5266).

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 16 Apr 2021 08:35:42 +0200

sogo (4.3.2-0bit1) unstable; urgency=medium

  * New upstream release
  * Switch to debhelper compat v12, but not using debhelper-compat B-D.
  * Bump libsope-dev Build-Dep to 4.3.2.
  * Bump Standards-Version to 4.1.4.
  * Add python3.patch to make gen-saml2-exceptions.py python3 compatible.
  * Switch Build-Depends to python3 (closes: #943277).
  * Default PREFORK is 15 for SOGo EAS instead of 120.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 11 May 2020 13:00:41 +0200

sogo (4.3.0-0bit5) unstable; urgency=medium

  * change user sogo to sogoeas in /etc/default/sogoeas
  * adduser does not accept option --gid with a name
  * check that the group sogo is available before add the user
    sogoeas with primary group sogo

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 04 Apr 2020 18:12:52 +0200

sogo (4.3.0-0bit4) unstable; urgency=medium

  * install logrotate config for package sogo-activesync

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Thu, 05 Mar 2020 21:28:30 +0100

sogo (4.3.0-0bit3) unstable; urgency=medium

  * set correct permissions on /var/log/sogo

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 03 Feb 2020 14:48:05 +0100

sogo (4.3.0-0bit2) unstable; urgency=medium

  * install sogod.plist at the correct place
  * separate /run for sogoeas
  * separate /var/log for sogoeas

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 31 Jan 2020 07:56:05 +0100

sogo (4.3.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to 4.3.0.
  * Separate instance for EAS implemented in activesync package.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 25 Jan 2020 13:38:49 +0100

sogo (4.2.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to 4.2.0.
  * File NEWS replaced by CHANGELOG.md.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 27 Dec 2019 19:13:59 +0100

sogo (4.1.1-0bit2) unstable; urgency=medium

  * Switch back to debhelper compat v10.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 11 Nov 2019 15:08:31 +0100

sogo (4.1.1-0bit1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compat v12, using debhelper-compat B-D.
  * Update to Standards-Version 4.4.1.
  * Refresh sogo.init and sogo.cron.daily from upstream versions.
  * Bump libsope-dev Build-Dep to 4.1.1.
  * Revert changes to cron.daily script (closes: #944023)
  * Do not pass --list-missing and --fail-missing to dh_install.
  * Update source lintian overrides.
  * Drop references to OpenChange, which is gone from sources.
  * Add Pre-Depends: ${misc:Pre-Depends} as suggested by lintian.
  * Drop obsolete override for dh_mkshlibdeps.
  * Drop --prefix=/usr/System from override_dh_auto_configure.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 08 Nov 2019 13:24:10 +0100

sogo (4.0.8-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.8.
  * Fix stop and restart operations in init script. (Closes: #923421)
  * Mark sogo-common as M-A: foreign.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 29 Jul 2019 16:03:41 +0200

sogo (4.0.7-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.7.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 11 Mar 2019 16:02:30 +0100

sogo (4.0.5-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.5.
  * added configuration files for nginx to docs
  * Add patch to not use OpenSSL when we are configured to use GnuTLS
    (closes: #914524).
  * Removed patch 0001-Workaround-for-gnustep-config-bug in configure.
  * Add patch to unset MAKEFLAGS and MFLAGS in configure.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 18 Jan 2019 14:02:39 +0100

sogo (4.0.4-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.4.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 26 Oct 2018 10:08:49 +0200

sogo (4.0.2-0bit3) unstable; urgency=medium

  * remove file stamp.make from /usr/lib/GNUstep/SOGo/ActiveSync.SOGo

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 01 Oct 2018 15:34:52 +0200

sogo (4.0.2-0bit2) unstable; urgency=medium

  * move arch independent resources files to the sogo-common package with special
    attention to the Current link
  * sogo-dev: Headers are in /usr/share instead of /usr/lib

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 28 Sep 2018 12:56:54 +0200

sogo (4.0.2-0bit1) unstable; urgency=medium

  * New upstream release
  * Bump libsope-dev Build-Dep to 4.0.2.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 03 Sep 2018 14:51:11 +0200

sogo (4.0.1-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to 4.0.1.
  * Update Vcs-* fields after migration to Salsa.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 30 Jul 2018 16:48:12 +0200

sogo (4.0.0-0bit1) unstable; urgency=medium

  * New upstream release
  * Build depends libsope-dev (>= 4.0.0)
  * Remove -DSOGO_BUILD_DATE from $CFLAGS to fix build reproducibility
    (closes: #854541).
  * Remove full text of MPL-1.1 and refer to common-licenses.
  * Drop dch id-length option from gbp.conf.
  * Add Scripts/mysql-utf8mb4.sql to docs.
  * Add SOGo asciidoc files to distributed documentation.
  * Promote memcached from Recommends to Depends and add SOGoMemcachedHost
    to default config (closes: #850724).
  * Add a note about the lack of database autoconfig to README.
  * Use /run/sogo instead of /var/run/sogo.

