=== debian/watch ===
version=3
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOGo[\-\._](4.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)? debian uupdate
