## sogo 5.0.1

=== debian/changelog ===
sogo (5.0.1-4+deb11u1) bullseye-security; urgency=high

  * [CVE-2021-33054] fixes validation of SAML message signatures
    (closes: #989479)
  * Switch gbp debian branch to bullseye.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Nov 2021 21:44:21 +0100

sogo (5.0.1-4) unstable; urgency=medium

  * Build against OpenSSL, now that ftpmaster considers it a system
    library. The GnuTLS codepath in SOGo is basically only used by
    Debian/Ubuntu and is a source of many grave problems in SOGo
    (closes: #981595).
  * Don't run isLocalhost test, which is known to fail in many
    build environments (not in official buildds, though) (closes: #980678).

 -- Jordi Mallach <jordi@debian.org>  Tue, 02 Feb 2021 01:28:14 +0100

sogo (5.0.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Jan 2021 13:39:15 +0100

sogo (5.0.1-2) experimental; urgency=medium

  * Reduce the number of expected testsuite failures to 3. One of the
    failing tests is now passing on the new version.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Jan 2021 16:26:15 +0100

sogo (5.0.1-1) unstable; urgency=medium

  * New upstream release (closes: #972523).
    + fixes connection issues to IMAP servers with GnuTLS (closes: #932081)
    + fixes webmail view with GnuTLS (closes: #975049)
  * Update watch file to look for any X.Y.Z version.
  * Enable Multi-Factor Authentication support.
  * Build-Depend on libsodium-dev to enable argon2 password schemes.
  * Drop gcc10.patch, now included in upstream version.
  * Refresh patches.
  * Update Standards-Version to 4.5.1.
  * Add missing Build-Depends on libzip-dev.
  * Bump libsope-dev requirement to >= 5.

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Nov 2020 15:02:24 +0100

sogo (4.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly install CHANGELOG.md as upstream changelog.
  * Make build use pkg-config instead of xml2-config (closes: #949497).
  * Build-Depend on pkg-config.
  * Bump debhelper compat to v13.
  * Fix builds with gcc-10 (closes: #957826).
  * Refresh patches.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Jul 2020 18:56:01 +0200
