## sogo 5.1.0

=== debian/changelog ===
sogo (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Thu, 08 Apr 2021 23:56:43 +0200
