## sogo 5.3.0

=== debian/changelog ===
sogo (5.3.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Add CVE and bug closer to 5.1.1-0 changelog entry.
  * Remove patch vcard import broken in 5.2.0, is upstream now.
  * Refresh patch.
  * Update source lintian-overrides with new false positive error.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 26 Nov 2021 08:46:21 +0100

sogo (5.2.0-0bit2) unstable; urgency=medium

  * Patch vcard import broken in 5.2.0 from upstream applied.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 27 Sep 2021 11:56:04 +0200

sogo (5.2.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.2.0.
  * Build-Depend on libytnef0-dev.
  * Adjust patches to Version 5.2.0.
  * Updated lintian overrides.
  * Don't run isLocalhost test, which is known to fail in many
    build environments (not in official buildds, though) (closes: #980678).
  * Reduce the number of expected testsuite failures to 3. One of the
    failing tests is now passing on the new version.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 10 Sep 2021 10:48:33 +0200

sogo (5.1.1-0bit1) unstable; urgency=medium

  * New upstream release.
    - [CVE-2021-33054] fixes validation of SAML message signatures
      (closes: #989479)
  * Bump libsope-dev Build-Dep to >= 5.1.1.
  * The packages zip and memcached are no longer dependent, but recommended.
  * Added apache2 | nginx to Suggests.
  * Updated lintian overrides.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 05 Jul 2021 10:50:06 +0200

sogo (5.1.0-0bit3) unstable; urgency=medium

  * Fixed wrong links in resource files.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 05 Jul 2021 09:00:42 +0200

sogo (5.1.0-0bit2) unstable; urgency=medium

  * Fixed typo in debian/rules.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 18 Jun 2021 14:36:23 +0200

sogo (5.1.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to >= 5.1.0.
  * Removed patch improve EAS parameters parsing from upstream, included in upstream.
  * Addjust patch 0008-Unset-MAKEFLAGS-and-MFLAGS-in-configure.patch.
  * Using debhelper-compat B-D.
  * Update watch file to look for any X.Y.Z version.
  * Make build use pkg-config instead of xml2-config (closes: #949497).
  * Build-Depend on pkg-config.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 09 Apr 2021 10:31:45 +0200

sogo (5.0.1-0bit3) unstable; urgency=medium

  * applied patch improve EAS parameters parsing from upstream (fixes #5266)

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 13 Mar 2021 16:11:39 +0100

sogo (5.0.1-0bit2) unstable; urgency=medium

  * Corrected typo in sogo-backup.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 08 Jan 2021 13:23:49 +0100

sogo (5.0.1-0bit1) unstable; urgency=medium

  * New upstream release.
  * Bump libsope-dev Build-Dep to 5.0.1.
  * Enabled configure option --enable-mfa.
  * Adjust patches to Version 5.0.1.
  * Updated lintian overrides.
  * Added Build-Deps liboath-dev, libsodium-dev and libzip-dev.
  * Updated variable VERSION in rules to 5.
  * Adjust path which contains Versions in sogo-common.install and sogo-dev.install.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Tue, 13 Oct 2020 20:39:55 +0200
