=== debian/watch ===
version=4
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOGo[\-\._](\d\.\d.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)? debian uupdate
