=== debian/changelog ===
sogo (5.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Correct location of backup dir (closes: #1002559).
  * Refresh patches as needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 04 Feb 2022 20:35:04 +0100

sogo (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove reference to lack of S/MIME support in README.Debian.
    (Closes: #100378)
  * Update source lintian overrides.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Jan 2022 19:46:58 +0100

sogo (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Add changelog entries for buster & bullseye security releases.

 -- Jordi Mallach <jordi@debian.org>  Sat, 08 Jan 2022 13:20:56 +0100

sogo (5.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add CVE and bug closer to 5.1.1-1 changelog entry.
  * Refresh patch.
  * Update source lintian-overrides with new false positive error.

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 Nov 2021 23:47:35 +0100

sogo (5.2.0-3) unstable; urgency=medium

  * Update overrides to match current Lintian.
  * Upload to unstable after transit through NEW.

 -- Jordi Mallach <jordi@debian.org>  Mon, 08 Nov 2021 14:18:43 +0100

sogo (5.2.0-2) experimental; urgency=medium

  * Add ActiveSync support (thanks Gürkan Myczko; closes: #968367).

 -- Jordi Mallach <jordi@debian.org>  Mon, 01 Nov 2021 16:36:08 +0100

sogo (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0.
  * Add upstream metadata.
  * Refresh patches.
  * Add libytnef-dev to Build-Depends for MS-TNEF support.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Sep 2021 18:09:23 +0200

sogo (5.1.1-1) unstable; urgency=medium

  * New upstream release
    - [CVE-2021-33054] fixes validation of SAML message signatures
      (closes: #989479)

 -- Jordi Mallach <jordi@debian.org>  Tue, 17 Aug 2021 00:54:43 +0200
