=== debian/control ===
Source: sogo
Section: mail
Priority: optional
Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
 gobjc,
 libcurl4-openssl-dev,
 libgnustep-base-dev,
 liblasso3-dev,
 libldap2-dev,
 libmemcached-dev,
 liboath-dev,
 libsbjson-dev,
 libsodium-dev,
 libsope-dev (>= 5.0.1-2~),
 libssl-dev,
 libwbxml2-dev (>= 0.11),
 libxml2-dev,
 libytnef-dev,
 libzip-dev,
 pkg-config,
 python3
Standards-Version: 4.6.0
Homepage: https://sogo.nu/
Vcs-Browser: https://salsa.debian.org/debian/sogo
Vcs-Git: https://salsa.debian.org/debian/sogo.git
Rules-Requires-Root: no

Package: sogo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
Suggests: postgresql | default-mysql-server | virtual-mysql-server
Description: Scalable groupware server
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability. It has many
 feature enhancements:
 .
  * CalDAV and GroupDAV compliance
  * full handling of vCard as well as vCalendar/iCalendar formats
  * support for folder sharing and ACLs
 .
 The Web interface has been rewritten in an AJAX fashion to provide a faster
 UI for the users, consistency in look and feel with the Mozilla applications,
 and to reduce the load of the transactions on the server.
 .
 This package contains the SOGo daemon.

Package: sogo-activesync
Architecture: any
Depends: sogo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Scalable groupware server - ActiveSync module
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package provides Microsoft EAS support for SOGo.

Package: sogo-common
Architecture: all
Depends: ${misc:Depends}
Suggests: httpd
Multi-Arch: foreign
Description: Scalable groupware server - common files
 SOGo is a groupware server built around OpenGroupware.org (OGo) and
 the SOPE application server with focus on scalability.
 .
 This package contains the architecture-indepedent files, including
 all the files that are needed on the web proxy.
