## sogo 5.7.1

=== debian/changelog ===
sogo (5.7.1-3) unstable; urgency=medium

  * Add upstream patch to fix destination dropdown for new Calendar
    components.

 -- Jordi Mallach <jordi@debian.org>  Mon, 03 Oct 2022 13:07:58 +0200

sogo (5.7.1-2) unstable; urgency=medium

  * Reverse the systemd | tmpreaper dependency.
  * Override dh_auto_test to make tests non-fatal on BE arches.
    The sogotest tool that runs the unit test fails on big endian
    architectures. While this is investigated, make tests non-fatal
    on those environments.

 -- Jordi Mallach <jordi@debian.org>  Thu, 25 Aug 2022 15:28:48 +0200

sogo (5.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Lower the number of expected test failures to 2.
  * Require libsope-dev 5.7.1, for its new IPv6 support.

 -- Jordi Mallach <jordi@debian.org>  Thu, 25 Aug 2022 11:07:28 +0200

sogo (5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 16 Jun 2022 14:06:05 +0200

sogo (5.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix bug number in 5.5.0-1 changelog entry.
  * Add sql migration script for 5.5.1 → 5.6.0.
  * Add NEWS entry with upgrade instructions for 5.6.0.
  * Update the number of failing patches.

 -- Jordi Mallach <jordi@debian.org>  Tue, 17 May 2022 09:11:18 +0200
