## sogo 5.8.0

=== debian/changelog ===
sogo (5.8.0-1) unstable; urgency=medium

  * New upstream release.
    - fixes sync CalDAV/CardDAV sync errors (closes: #1023177).
  * Update watch file with new download URL.
  * Drop destination-calendars-of-new-components.patch.
  * Update copyright years.
  * Refresh patches.
  * Update lintian-overrides to new syntax.

 -- Jordi Mallach <jordi@debian.org>  Thu, 01 Dec 2022 12:47:54 +0100
