=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  liboath-dev,
  libsbjson-dev,
  libsodium-dev,
- libsope-dev (>= 5.0.1-2~),
+ libsope-dev (>= 5.7.1),
  libssl-dev,
  libwbxml2-dev (>= 0.11),
  libxml2-dev,
@@ -22,7 +22,7 @@
  libzip-dev,
  pkg-config,
  python3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sogo
 Vcs-Git: https://salsa.debian.org/debian/sogo.git
@@ -31,7 +31,7 @@
 Package: sogo
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, tmpreaper | systemd, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
+Depends: ${shlibs:Depends}, ${misc:Depends}, systemd | tmpreaper, sogo-common (= ${source:Version}), adduser, zip, lsb-base (>= 3.0-6), memcached
 Suggests: postgresql | default-mysql-server | virtual-mysql-server
 Description: Scalable groupware server
  SOGo is a groupware server built around OpenGroupware.org (OGo) and
