=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+DEB_HOST_ARCH_ENDIAN ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
@@ -18,6 +19,13 @@
 
 override_dh_auto_configure:
 	./configure --with-ssl=ssl --enable-saml2 --enable-mfa
+
+override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
+	dh_auto_test
+else
+	-dh_auto_test
+endif
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp GNUSTEP_INSTALLATION_DOMAIN=SYSTEM OBJCFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" messages=yes install
